#
# spec file for package opal (Version 2.2.8)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    SDL SDL-devel aaa_base aalib aalib-devel acl alsa-devel attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs cyrus-sasl cyrus-sasl-devel diffutils file filesystem fillup findutils fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc42 gcc42-c++ gdbm gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv less libacl libasound2 libattr libbz2-1 libbz2-devel libdb-4_5 libexpat-devel libexpat1 libgcc42 libgomp42 libltdl-3 libmudflap42 libopenssl-devel libopenssl0_9_8 libreadline5 libspeex libstdc++-devel libstdc++42 libstdc++42-devel libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses ncurses-devel net-tools netcfg openldap2-client openldap2-devel openssl-certs pam pam-modules patch perl perl-base permissions pkg-config popt pwlib pwlib-devel rpm sed speex-devel sysvinit tar texinfo timezone util-linux xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           opal
BuildRequires:  gcc-c++ libstdc++-devel pwlib-devel speex-devel
Summary:        Open Phone Abstraction Library
Url:            http://openh323.sourceforge.net/
License:        MOZILLA PUBLIC LICENSE (MPL/NPL)
Group:          System/Libraries
Version:        2.2.8
Release:        60.2
Source0:        %{name}-%{version}.tar.bz2
Patch0:         %{name}-%{version}.diff
Patch1:         opal-C-fix.diff
Patch2:         opal-make.diff
Patch3:         opal-CVE-2007-4924.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
AutoReqProv:    on
Requires:       pwlib

%description
Open Phone Abstraction Library, implementation of the ITU H.323
teleconferencing protocol, and successor of the openh323 library. It
supports the H.323 protocol as well as SIP and IAX2.



%debug_package
%package devel
Summary:        Development package for opal
Group:          Development/Libraries/C and C++
Requires:       opal = %{version}

%description devel
Static libraries and header files for development with opal.



%prep
%setup -q
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
# this GPL file is not needed - to avoid license issues delete it before build
rm -f include/lids/vpbapi.h

%build
autoconf --force
%{?suse_update_config:%{suse_update_config -f}}
# PWlib versioncheck does not work properly
# Can support Voicetronix vpb
./configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir}\
  --disable-versioncheck
make OPTCCFLAGS="$RPM_OPT_FLAGS" %{?jobs:-j%jobs}

%install
echo "RPM_OPT_FLAGS=$RPM_OPT_FLAGS"
make install DESTDIR=$RPM_BUILD_ROOT OPTCCFLAGS="$RPM_OPT_FLAGS" %{?jobs:-j%jobs}

%post
%run_ldconfig

%postun
%run_ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc  mpl-1.0.htm
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/opal
%{_libdir}/*.so
%dir %{_datadir}/opal
%{_datadir}/opal/opal_inc.mak
%changelog
* Wed Oct 10 2007 - kkeil@suse.de
- fix a remote vulnerability in the SIP protocol handler
  CVE-2007-4924 (#332478)
* Fri Sep 21 2007 - coolo@suse.de
- revert to 2.2.8 to fix build
* Wed Sep 19 2007 - mauro@suse.de
- Update to 2.2.11 to make ekiga (for gnome 2.20) happy.
* Mon Jul 09 2007 - kkeil@suse.de
- change library name to make rpmlint happy (#290347)
* Sat May 05 2007 - kkeil@suse.de
- removed additional "-fstack-protector" from OPTCCFLAGS it is
  already in RPM_OPT_FLAGS
* Tue Apr 24 2007 - maw@suse.de
- Update to version 2.2.8
  - bugfix release
* Wed Feb 14 2007 - kkeil@suse.de
- downgrade to stable 2.2.5 version
* Mon Oct 23 2006 - kkeil@suse.de
- clean up undefined C code (#213075)
* Wed Oct 11 2006 - sbrabec@suse.cz
- Fixed invalid SIP header response quotation. Fixes problems with
  registration on certain servers.
* Fri Sep 29 2006 - kkeil@suse.de
- fix double response frames (patch from sbrabec@suse.cz)
- updates from current stable to handle reinvites better
* Wed Sep 06 2006 - kkeil@suse.de
- delete optional GPL file before build to avoid license issues
  (#202829)
* Thu Aug 10 2006 - sbrabec@suse.cz
- Reduced BuildRequires.
* Thu Aug 10 2006 - kkeil@suse.de
- first version (2.3.1) for autobuild
